// TODO: update this file with the schema

export const connectConfigurationSurfaceTemplate = `import { Card, CardTitle, ConnectConfigurationSurface, ConnectorForm, ConnectorFormType } from "@netlify/sdk/ui/react/components";
import { useNetlifySDK } from "@netlify/sdk/ui/react";
import { connectorConfigurationSchema } from "../../schema/connector-schema";

export const ConnectConfiguration = () => {
  const sdk = useNetlifySDK();

  return (
    <ConnectConfigurationSurface>
      <Card>
        <CardTitle>{sdk.extension.name}</CardTitle>
        <ConnectorForm schema={connectorConfigurationSchema} formType={ConnectorFormType.CONNECT}/>
      </Card>
    </ConnectConfigurationSurface>
  );
};
`;
