export declare const ConnectorSchemaTemplate = "import * as zod from \"zod\";\nimport { register } from \"zod-metadata\";\nregister(zod);\n\nexport const connectorConfigurationSchema = zod.object({\n  apiUrl: zod.string().min(1).trim().default(\"https://api.example.com\"),\n  apiToken: zod.string().min(1).trim().default(\"exampleToken\").meta({ secret: true }),\n  instanceID: zod.string().optional()\n});;\n\nexport type ConnectorSettings = Zod.output<typeof connectorConfigurationSchema>;";
//# sourceMappingURL=connector-schema.ts.template.d.ts.map