export const visualEditorConfigurationSurfaceTemplate = `import { Card, CardTitle, VisualEditorConfigurationSurface, ConnectorForm, ConnectorFormType } from "@netlify/sdk/ui/react/components";
import { useNetlifySDK } from "@netlify/sdk/ui/react";
import { connectorConfigurationSchema } from "../../schema/connector-schema";

export const VisualEditorConfiguration = () => {
  const sdk = useNetlifySDK();

  return (
    <VisualEditorConfigurationSurface>
      <Card>
        <CardTitle>{sdk.extension.name}</CardTitle>
        <ConnectorForm schema={connectorConfigurationSchema} formType={ConnectorFormType.VISUAL_EDITOR}/>
      </Card>
    </VisualEditorConfigurationSurface>
  );
};
`;
//# sourceMappingURL=VisualEditorConfiguration.tsx.template.js.map